Get Consent Category Expiration Info
1 min
GET
https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId}
categoryIdstringThe unique identifier of the Consent Category to be updated.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
200OK
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
415This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
423<p>Consent Management is disabled or locked for the tenant, so consent operations are not allowed.</p>
500There was an internal server error.
curl --request GET \
--url https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'